# geos::geom::prep::PreparedPolygon Class Reference

A prepared version of Polygon or MultiPolygon geometries. More...

`#include <PreparedPolygon.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygon:

List of all members.

## Public Member Functions

| PreparedPolygon (const geom::Geometry *geom)
noding::FastSegmentSetIntersectionFinder * | getIntersectionFinder () const
algorithm::locate::PointOnGeometryLocator * | getPointLocator () const
bool | contains (const geom::Geometry *g) const
bool | containsProperly (const geom::Geometry *g) const
bool | covers (const geom::Geometry *g) const
bool | intersects (const geom::Geometry *g) const

## Detailed Description

A prepared version of Polygon or MultiPolygon geometries.

Author:
  mbdavis

## Member Function Documentation

bool geos::geom::prep::PreparedPolygon::contains | ( | const geom::Geometry * | g ) | const`[virtual]`

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

bool geos::geom::prep::PreparedPolygon::containsProperly | ( | const geom::Geometry * | g ) | const`[virtual]`

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

bool geos::geom::prep::PreparedPolygon::covers | ( | const geom::Geometry * | g ) | const`[virtual]`

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

bool geos::geom::prep::PreparedPolygon::intersects | ( | const geom::Geometry * | g ) | const`[virtual]`

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

The documentation for this class was generated from the following file:

- PreparedPolygon.h